pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: How to build a package when earlier versions of dependencies are already installed?

On 21.06.13 01:15, Thomas Mueller wrote:
I'm having a problem installing a package when an earlier version of a 
dependency package is already installed.

New version is built but can't be installed because pkgsrc system doesn't know 
to replace or deinstall the older version.

Sample session error messages (trying to build x11/libXft with "make update" 
after a similar error when trying to build wm/icewm-imlib):

gmake[1]: Leaving directory 
=> Automatic manual page handling
=> Generating post-install file lists
=> Checking file-check results for MesaLib-7.11.2nb2
=> Checking for non-existent script interpreters in MesaLib-7.11.2nb2
=> Checking file permissions in MesaLib-7.11.2nb2
warning: /BETA1/pkgsrc/graphics/MesaLib: group-writable directory.
warning: /BETA1/pkgsrc/graphics: group-writable directory.
warning: /BETA1/pkgsrc: group-writable directory.
0 errors and 3 warnings.
=> Checking for missing run-time search paths in MesaLib-7.11.2nb2
=> Checking for work-directory references in MesaLib-7.11.2nb2
=> Creating binary package 
===> Building binary package for MesaLib-7.11.2nb2
=> Creating binary package /usr/packages/All/MesaLib-7.11.2nb2.tgz
/bin/ln -f 
/usr/packages/All/MesaLib-7.11.2nb2.tgz 2>/dev/null ||  /bin/cp -pf 
===> Install binary package of MesaLib-7.11.2nb2
pkg_add: A different version of MesaLib-7.11.2nb2 is already installed: 
pkg_add: 1 package addition failed
*** Error code 1

make: stopped in /BETA1/pkgsrc/graphics/MesaLib
*** Error code 1

make: stopped in /BETA1/pkgsrc/graphics/MesaLib
*** Error code 1

make: stopped in /BETA1/pkgsrc/graphics/MesaLib
*** Error code 1

make: stopped in /BETA1/pkgsrc/x11/modular-xorg-server
*** Error code 1


Just before all this, I had run
pkg_rolling-replace -suv

so I shouldn't have had these silly snags.

Now I don't even know what version of modular-xorg I have.

How do I get pkgsrc system to update the dependency packages instead of 
stopping there?

I'd say, pkgtools/pkg_rolling-replace or pkgtools/pbulk is your friend.
Different flavours - but both can make you happy.

Jens Rehsack
pkgsrc, Perl5

Home | Main Index | Thread Index | Old Index